package co.yixiang.yshop.module.order.api.productorder;

import co.yixiang.yshop.module.order.api.productorder.dto.ProductOrderDTO;

import java.util.Map;

public interface ProductOrderApi {

    ProductOrderDTO getPayParam(String orderId);

    void handleOrder(String orderId, Map<String, String> packageParams);

    void handleWeChatPayNotify(String orderId, Map<String, String> resultMap) throws Exception;

    /**
     * 余额支付
     *
     * @param orderId 订单号
     * @param uid     用户id
     */
    void yuePay(String orderId, Long uid);

}
